package com.durant.controller;

import com.durant.Result;
import com.durant.annotion.Independent;
import com.durant.dto.request.LoginReq;
import com.durant.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author 冯凯
 * @version 1.0
 * @description: TODO
 * @date 2023/10/3 14:08
 */
@RestController
@CrossOrigin(origins = "http://localhost:9528")
public class LoginController {
    @Autowired
    private LoginService loginService;

    @Independent
    @PostMapping("/user/login")

    public Result<LoginReq> userLogin(@RequestBody LoginReq loginReq){
        Result<LoginReq> loginReqResult = loginService.userLogin(loginReq);
        if (loginReqResult.getData()!=null){
            return Result.success(loginReqResult.getData());
        }

        return Result.error();
    }

    @GetMapping("/user/info")

    public Result<LoginReq> userInfo(){
        LoginReq loginReq = new LoginReq();
        loginReq.setUsername("fengkai");
        loginReq.setPassword("123456");
        return Result.success(loginReq);
    }

}
